package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class Field {
   String tableName;
   List<TableInfo> tableInfos;

   public String getTableName() {
      return this.tableName;
   }

   public List<TableInfo> getTableInfos() {
      return this.tableInfos;
   }

   public void setTableName(final String tableName) {
      this.tableName = tableName;
   }

   public void setTableInfos(final List<TableInfo> tableInfos) {
      this.tableInfos = tableInfos;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof Field)) {
         return false;
      } else {
         Field other = (Field)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$tableName = this.getTableName();
            Object other$tableName = other.getTableName();
            if (this$tableName == null) {
               if (other$tableName != null) {
                  return false;
               }
            } else if (!this$tableName.equals(other$tableName)) {
               return false;
            }

            Object this$tableInfos = this.getTableInfos();
            Object other$tableInfos = other.getTableInfos();
            if (this$tableInfos == null) {
               if (other$tableInfos != null) {
                  return false;
               }
            } else if (!this$tableInfos.equals(other$tableInfos)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof Field;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $tableName = this.getTableName();
      result = result * 59 + ($tableName == null ? 43 : $tableName.hashCode());
      Object $tableInfos = this.getTableInfos();
      result = result * 59 + ($tableInfos == null ? 43 : $tableInfos.hashCode());
      return result;
   }

   public String toString() {
      return "Field(tableName=" + this.getTableName() + ", tableInfos=" + this.getTableInfos() + ")";
   }
}
